net.corda.core.serialization

## Class OrderedSerializer

- net.corda.core.serialization.OrderedSerializer

-     public class OrderedSerializer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static OrderedSerializer` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.HashMap<java.lang.Object,java.lang.Object>` | `read(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, java.lang.Class<java.util.HashMap> type)`
    `void` | `write(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Output output, java.util.HashMap<java.lang.Object,java.lang.Object> obj)`

- - ### Field Detail

    - #### INSTANCE

          public static OrderedSerializer INSTANCE

  - ### Method Detail

    - #### write

          public void write(com.esotericsoftware.kryo.Kryo kryo,
                            com.esotericsoftware.kryo.io.Output output,
                            java.util.HashMap<java.lang.Object,java.lang.Object> obj)

    - #### read

          public java.util.HashMap<java.lang.Object,java.lang.Object> read(com.esotericsoftware.kryo.Kryo kryo,
                                                                           com.esotericsoftware.kryo.io.Input input,
                                                                           java.lang.Class<java.util.HashMap> type)